h33074
s 00035/00000/00000
d D 1.1 82/08/03 08:46:32 cecily 1 0
e
u
U
t
T
I 1
access	title	unix c svc library -- access

.access	equ	33

	entry	access
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
accesssvc	equ	*
	svc	0,.access
name	dc	a(*-*)
mode	dc	a(*-*)
*
	pure
access	equ	*
	l	r0,0(sp)	name
	st	r0,name
	l	r0,adc(sp)	mode
	st	r0,mode
	svc	0,0
	dc	a(accesssvc)
	bc	error
	xar	r0,r0
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
